# largeobject.hxx File Reference

`#include "pqxx/compiler-public.hxx"`
`#include "pqxx/compiler-internal-pre.hxx"`
`#include <streambuf.h>`
`#include "pqxx/dbtransaction"`
`#include "pqxx/compiler-internal-post.hxx"`

Include dependency graph for largeobject.hxx:

Go to the source code of this file.

## Namespaces

namespace | pqxx

## Classes

class | pqxx::largeobject
| Identity of a large object. More...
class | pqxx::largeobjectaccess
| Accessor for large object's contents. More...
class | pqxx::largeobject_streambuf< CHAR, TRAITS >
| Streambuf to use large objects in standard I/O streams. More...
class | pqxx::basic_ilostream< CHAR, TRAITS >
| Input stream that gets its data from a large object. More...
class | pqxx::basic_olostream< CHAR, TRAITS >
| Output stream that writes data back to a large object. More...
class | pqxx::basic_lostream< CHAR, TRAITS >
| Stream that reads and writes a large object. More...

## Typedefs

typedef basic_ilostream< char > | pqxx::ilostream
typedef basic_olostream< char > | pqxx::olostream
typedef basic_lostream< char > | pqxx::lostream